### Method

# Gio ZlibDecompressor get_file_info

since: 2.26

#### Declaration

    GFileInfo*
    g_zlib_decompressor_get_file_info (
      GZlibDecompressor* decompressor
    )

#### Description

Retrieves the `GFileInfo` constructed from the GZIP header data of compressed data processed by `compressor`, or `NULL` if `decompressor`‘s `GZlibDecompressor:format` property is not `G_ZLIB_COMPRESSOR_FORMAT_GZIP`, or the header data was not fully processed yet, or it not present in the data stream at all.

Available since: 2.26

Gets property | `Gio.ZlibDecompressor:file-info`

#### Return value

Type: `GFileInfo`

A `GFileInfo`, or `NULL`.

The data is owned by the instance.
The return value can be `NULL`.